## r-cran-rcppdist 0.1.1

=== DESCRIPTION ===
Package: RcppDist
Title: 'Rcpp' Integration of Additional Probability Distributions
Version: 0.1.1
Authors@R: person(given = "JB",
                  family = "Duck-Mayr",
                  email = "j.duckmayr@gmail.com",
                  role = c("aut", "cre"),
                  comment = c(ORCID = "0000-0002-2231-1294"))
Description: The 'Rcpp' package provides a C++ library to make it easier
    to use C++ with R. R and 'Rcpp' provide functions for a variety of
    statistical distributions. Several R packages make functions
    available to R for additional statistical distributions. However,
    to access these functions from C++ code, a costly call to the R
    functions must be made. 'RcppDist' provides a header-only C++ library
    with functions for additional statistical distributions that can be
    called from C++ when writing code using 'Rcpp' or 'RcppArmadillo'.
    Functions are available that return a 'NumericVector' as well as
    doubles, and for multivariate or matrix distributions, 'Armadillo'
    vectors and matrices. 'RcppDist' provides functions for the following
    distributions: the four parameter beta distribution; the location-
    scale t distribution; the truncated normal distribution; the
    truncated t distribution; a truncated location-scale t distribution;
    the triangle distribution; the multivariate normal distribution*;
    the multivariate t distribution*; the Wishart distribution*; and
    the inverse Wishart distribution*. Distributions marked with an
    asterisk rely on 'RcppArmadillo'.
License: GPL (>= 2.0)
URL: https://github.com/duckmayr/RcppDist
BugReports: https://github.com/duckmayr/RcppDist/issues
Depends: R (>= 3.0.0)
Encoding: UTF-8
LazyData: true
LinkingTo: Rcpp, RcppArmadillo
Imports: Rcpp
RoxygenNote: 6.1.0
Suggests: testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2018-10-21 13:45:50 UTC; jb
Author: JB Duck-Mayr [aut, cre] (<https://orcid.org/0000-0002-2231-1294>)
Maintainer: JB Duck-Mayr <j.duckmayr@gmail.com>
Repository: CRAN
Date/Publication: 2018-10-28 22:50:09 UTC

=== debian/changelog ===
r-cran-rcppdist (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 18:17:36 +0100

r-cran-rcppdist (0.1.1-1) unstable; urgency=medium

  * Initial release (closes: #995713)

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:51:52 +0200

=== debian/control ===
Source: r-cran-rcppdist
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist.git
Homepage: https://cran.r-project.org/package=RcppDist
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-cran-rcpparmadillo
Testsuite: autopkgtest-pkg-r

Package: r-cran-rcppdist
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: 'Rcpp' Integration of Additional Probability Distributions
 The 'Rcpp' package provides a C++ library to make it easier
 to use C++ with R. R and 'Rcpp' provide functions for a variety of
 statistical distributions.
 .
 Several R packages make functions
 available to R for additional statistical distributions. However,
 to access these functions from C++ code, a costly call to the R
 functions must be made. 'RcppDist' provides a header-only C++ library
 with functions for additional statistical distributions that can be
 called from C++ when writing code using 'Rcpp' or 'RcppArmadillo'.
 Functions are available that return a 'NumericVector' as well as
 doubles, and for multivariate or matrix distributions, 'Armadillo'
 vectors and matrices.
 .
 'RcppDist' provides functions for the following distributions:
  - the four parameter beta distribution;
  - the location-scale t distribution;
  - the truncated normal distribution;
  - the truncated t distribution;
  - a truncated location-scale t distribution;
  - the triangle distribution;
  - the multivariate normal distribution*;
  - the multivariate t distribution*;
  - the Wishart distribution*; and
  - the inverse Wishart distribution*.
 Distributions marked with an asterisk rely on 'RcppArmadillo'.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/RcppDist_([-\d.]*)\.tar\.gz

## r-cran-rcppdist 0.1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RcppDist
 Title: 'Rcpp' Integration of Additional Probability Distributions
-Version: 0.1.1
+Version: 0.1.1.1
 Authors@R: person(given = "JB",
                   family = "Duck-Mayr",
                   email = "j.duckmayr@gmail.com",
@@ -29,15 +29,15 @@
 BugReports: https://github.com/duckmayr/RcppDist/issues
 Depends: R (>= 3.0.0)
 Encoding: UTF-8
-LazyData: true
 LinkingTo: Rcpp, RcppArmadillo
 Imports: Rcpp
 RoxygenNote: 6.1.0
 Suggests: testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-10-21 13:45:50 UTC; jb
-Author: JB Duck-Mayr [aut, cre] (<https://orcid.org/0000-0002-2231-1294>)
+Packaged: 2025-06-12 08:04:12 UTC; hornik
+Author: JB Duck-Mayr [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-2231-1294>)
 Maintainer: JB Duck-Mayr <j.duckmayr@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-10-28 22:50:09 UTC
+Date/Publication: 2025-06-12 08:37:39 UTC

=== debian/changelog ===
r-cran-rcppdist (0.1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 10:19:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: r-cran-rcppdist
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist.git
-Homepage: https://cran.r-project.org/package=RcppDist
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-rcpparmadillo
-Testsuite: autopkgtest-pkg-r
+               r-cran-rcpparmadillo,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppdist.git
+Homepage: https://cran.r-project.org/package=RcppDist
+Rules-Requires-Root: no
 
 Package: r-cran-rcppdist
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
        r-cran-testthat,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr
